# Uses of Interface
org.apache.sling.api.scripting.SlingScriptHelper

Packages that use SlingScriptHelper
Package
Description
org.apache.sling.api.scripting

## Uses of SlingScriptHelper in org.apache.sling.api.scripting

Methods in org.apache.sling.api.scripting that return SlingScriptHelper
Modifier and Type
Method
Description
`@Nullable SlingScriptHelper`
SlingBindings.`getSling()`
Returns the `SlingBindings.SLING` property if not `null` and a `SlingScriptHelper` instance.
Methods in org.apache.sling.api.scripting with parameters of type SlingScriptHelper
Modifier and Type
Method
Description
`void`
SlingBindings.`setSling(SlingScriptHelper sling)`
Sets the `SlingBindings.SLING` property to `sling` if not `null`.